Skip to main content

A set of string constants for the parameter ExecuteSqlRequest.options. More…

Static Public Attributes

const string COST_BASED_OPTIMIZATION = “cost_based_optimization”
 If FALSE, disables the cost-based optimization of the given query.
 
const string TRUE = “true”
 A boolean constant for the ExecuteSqlRequest.Options options.
 
const string FALSE = “false”
 A boolean constant for the ExecuteSqlRequest.Options options.
 
const string DISTRIBUTED_JOINS = “distributed_joins”
 If TRUE, enables the use of distributed joins in servicing the given query.
 
const string DISTRIBUTED_OPERATIONS = “distributed_operations”
 If TRUE, enables the use of distributed operations in servicing the given query.
 
const string IGNORE_EXISTING_PK = “ignore_existing_pk”
 Specifies the record collision error-suppression policy for inserting into or updating a table with a primary key, only used when primary key record collisions are rejected (UPDATE_ON_EXISTING_PK is FALSE).
 
const string LATE_MATERIALIZATION = “late_materialization”
 If TRUE, Joins/Filters results will always be materialized ( saved to result tables format).
 
const string PAGING_TABLE = “paging_table”
 When specified (or PAGING_TABLE_TTL is set), the system will create a paging table to hold the results of the query, when the output has more records than are in the response (i.e., when has_more_records is TRUE).
 
const string PAGING_TABLE_TTL = “paging_table_ttl”
 Sets the TTL of the paging table.
 
const string PARALLEL_EXECUTION = “parallel_execution”
 If FALSE, disables the parallel step execution of the given query.
 
const string PLAN_CACHE = “plan_cache”
 If FALSE, disables plan caching for the given query.
 
const string PREPARE_MODE = “prepare_mode”
 If TRUE, compiles a query into an execution plan and saves it in query cache.
 
const string PRESERVE_DICT_ENCODING = “preserve_dict_encoding”
 If TRUE, then columns that were dict encoded in the source table will be dict encoded in the projection table.
 
const string QUERY_PARAMETERS = “query_parameters”
 Query parameters in JSON array or arrays (for inserting multiple rows).
 
const string RESULTS_CACHING = “results_caching”
 If FALSE, disables caching of the results of the given query.
 
const string RULE_BASED_OPTIMIZATION = “rule_based_optimization”
 If FALSE, disables rule-based rewrite optimizations for the given query.
 
const string SSQ_OPTIMIZATION = “ssq_optimization”
 If FALSE, scalar subqueries will be translated into joins.
 
const string TTL = “ttl”
 Sets the TTL of the intermediate result tables used in query execution.
 
const string UPDATE_ON_EXISTING_PK = “update_on_existing_pk”
 Specifies the record collision policy for inserting into or updating a table with a primary key.
 
const string VALIDATE_CHANGE_COLUMN = “validate_change_column”
 When changing a column using alter table, validate the change before applying it.
 
const string CURRENT_SCHEMA = “current_schema”
 Use the supplied value as the default schema when processing this SQL command.
 

Detailed Description

A set of string constants for the parameter ExecuteSqlRequest.options.

Optional parameters.

Definition at line 58 of file ExecuteSql.cs.

Member Data Documentation

◆ COST_BASED_OPTIMIZATION

const string kinetica.ExecuteSqlRequest.Options.COST_BASED_OPTIMIZATION = “cost_based_optimization”
static

If FALSE, disables the cost-based optimization of the given query.

Supported values:

The default value is FALSE.

Definition at line 77 of file ExecuteSql.cs.

◆ CURRENT_SCHEMA

const string kinetica.ExecuteSqlRequest.Options.CURRENT_SCHEMA = “current_schema”
static

Use the supplied value as the default schema when processing this SQL command.

Definition at line 427 of file ExecuteSql.cs.

◆ DISTRIBUTED_JOINS

const string kinetica.ExecuteSqlRequest.Options.DISTRIBUTED_JOINS = “distributed_joins”
static

If TRUE, enables the use of distributed joins in servicing the given query.

Any query requiring a distributed join will succeed, though hints can be used in the query to change the distribution of the source data to allow the query to succeed. Supported values:

The default value is FALSE.

Definition at line 107 of file ExecuteSql.cs.

◆ DISTRIBUTED_OPERATIONS

const string kinetica.ExecuteSqlRequest.Options.DISTRIBUTED_OPERATIONS = “distributed_operations”
static

If TRUE, enables the use of distributed operations in servicing the given query.

Any query requiring a distributed join will succeed, though hints can be used in the query to change the distribution of the source data to allow the query to succeed. Supported values:

The default value is FALSE.

Definition at line 129 of file ExecuteSql.cs.

◆ FALSE

const string kinetica.ExecuteSqlRequest.Options.FALSE = “false”
static

A boolean constant for the ExecuteSqlRequest.Options options.

Definition at line 85 of file ExecuteSql.cs.

◆ IGNORE_EXISTING_PK

const string kinetica.ExecuteSqlRequest.Options.IGNORE_EXISTING_PK = “ignore_existing_pk”
static

Specifies the record collision error-suppression policy for inserting into or updating a table with a primary key, only used when primary key record collisions are rejected (UPDATE_ON_EXISTING_PK is FALSE).

If set to TRUE, any record insert/update that is rejected for resulting in a primary key collision with an existing table record will be ignored with no error generated. If FALSE, the rejection of any insert/update for resulting in a primary key collision will cause an error to be reported. If the specified table does not have a primary key or if UPDATE_ON_EXISTING_PK is TRUE, then this option has no effect. Supported values:

  • TRUE: Ignore inserts/updates that result in primary key collisions with existing records.
  • FALSE: Treat as errors any inserts/updates that result in primary key collisions with existing records.

The default value is FALSE.

Definition at line 170 of file ExecuteSql.cs.

◆ LATE_MATERIALIZATION

const string kinetica.ExecuteSqlRequest.Options.LATE_MATERIALIZATION = “late_materialization”
static

If TRUE, Joins/Filters results will always be materialized ( saved to result tables format).

Supported values:

The default value is FALSE.

Definition at line 189 of file ExecuteSql.cs.

◆ PAGING_TABLE

const string kinetica.ExecuteSqlRequest.Options.PAGING_TABLE = “paging_table”
static

When specified (or PAGING_TABLE_TTL is set), the system will create a paging table to hold the results of the query, when the output has more records than are in the response (i.e., when has_more_records is TRUE).

If the specified paging table exists, the records from the paging table are returned without re-evaluating the query. It is the caller’s responsibility to clear the paging_table and other tables in the RESULT_TABLE_LIST (both returned in the response) when they are done with this query.

Definition at line 207 of file ExecuteSql.cs.

◆ PAGING_TABLE_TTL

const string kinetica.ExecuteSqlRequest.Options.PAGING_TABLE_TTL = “paging_table_ttl”
static

Sets the TTL of the paging table.

-1 indicates no timeout. Setting this option will cause a paging table to be generated when needed. The paging_table and other tables in the RESULT_TABLE_LIST (both returned in the response) will be automatically cleared after the TTL expires, if set to a positive number. However, it is still recommended that the caller clear these tables when they are done with this query.

Definition at line 220 of file ExecuteSql.cs.

◆ PARALLEL_EXECUTION

const string kinetica.ExecuteSqlRequest.Options.PARALLEL_EXECUTION = “parallel_execution”
static

If FALSE, disables the parallel step execution of the given query.

Supported values:

The default value is TRUE.

Definition at line 238 of file ExecuteSql.cs.

◆ PLAN_CACHE

const string kinetica.ExecuteSqlRequest.Options.PLAN_CACHE = “plan_cache”
static

If FALSE, disables plan caching for the given query.

Supported values:

The default value is TRUE.

Definition at line 256 of file ExecuteSql.cs.

◆ PREPARE_MODE

const string kinetica.ExecuteSqlRequest.Options.PREPARE_MODE = “prepare_mode”
static

If TRUE, compiles a query into an execution plan and saves it in query cache.

Query execution is not performed and an empty response will be returned to user. Supported values:

The default value is FALSE.

Definition at line 277 of file ExecuteSql.cs.

◆ PRESERVE_DICT_ENCODING

const string kinetica.ExecuteSqlRequest.Options.PRESERVE_DICT_ENCODING = “preserve_dict_encoding”
static

If TRUE, then columns that were dict encoded in the source table will be dict encoded in the projection table.

Supported values:

The default value is TRUE.

Definition at line 295 of file ExecuteSql.cs.

◆ QUERY_PARAMETERS

const string kinetica.ExecuteSqlRequest.Options.QUERY_PARAMETERS = “query_parameters”
static

Query parameters in JSON array or arrays (for inserting multiple rows).

This can be used instead of ExecuteSqlRequest.data and ExecuteSqlRequest.request_schema_str.

Definition at line 302 of file ExecuteSql.cs.

◆ RESULTS_CACHING

const string kinetica.ExecuteSqlRequest.Options.RESULTS_CACHING = “results_caching”
static

If FALSE, disables caching of the results of the given query.

Supported values:

The default value is TRUE.

Definition at line 320 of file ExecuteSql.cs.

◆ RULE_BASED_OPTIMIZATION

const string kinetica.ExecuteSqlRequest.Options.RULE_BASED_OPTIMIZATION = “rule_based_optimization”
static

If FALSE, disables rule-based rewrite optimizations for the given query.

Supported values:

The default value is TRUE.

Definition at line 338 of file ExecuteSql.cs.

◆ SSQ_OPTIMIZATION

const string kinetica.ExecuteSqlRequest.Options.SSQ_OPTIMIZATION = “ssq_optimization”
static

If FALSE, scalar subqueries will be translated into joins.

Supported values:

The default value is TRUE.

Definition at line 356 of file ExecuteSql.cs.

◆ TRUE

const string kinetica.ExecuteSqlRequest.Options.TRUE = “true”
static

A boolean constant for the ExecuteSqlRequest.Options options.

Definition at line 81 of file ExecuteSql.cs.

◆ TTL

const string kinetica.ExecuteSqlRequest.Options.TTL = “ttl”
static

Sets the TTL of the intermediate result tables used in query execution.

Definition at line 361 of file ExecuteSql.cs.

◆ UPDATE_ON_EXISTING_PK

const string kinetica.ExecuteSqlRequest.Options.UPDATE_ON_EXISTING_PK = “update_on_existing_pk”
static

Specifies the record collision policy for inserting into or updating a table with a primary key.

If set to TRUE, any existing table record with primary key values that match those of a record being inserted or updated will be replaced by that record. If set to FALSE, any such primary key collision will result in the insert/update being rejected and the error handled as determined by IGNORE_EXISTING_PK. If the specified table does not have a primary key, then this option has no effect. Supported values:

  • TRUE: Replace the collided-into record with the record inserted or updated when a new/modified record causes a primary key collision with an existing record.
  • FALSE: Reject the insert or update when it results in a primary key collision with an existing record.

The default value is FALSE.

Definition at line 398 of file ExecuteSql.cs.

◆ VALIDATE_CHANGE_COLUMN

const string kinetica.ExecuteSqlRequest.Options.VALIDATE_CHANGE_COLUMN = “validate_change_column”
static

When changing a column using alter table, validate the change before applying it.

If TRUE, then validate all values. A value too large (or too long) for the new type will prevent any change. If FALSE, then when a value is too large or long, it will be truncated. Supported values:

The default value is TRUE.

Definition at line 421 of file ExecuteSql.cs.


The documentation for this struct was generated from the following files: